Skip to main content

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

POST /oauth/ro Given the user’s credentials, this endpoint will authenticate the user with the provider and return a JSON object with the Access Token and an ID Token.
This endpoint is part of the legacy authentication pipeline and has been replaced in favor of the Password Grant. For more information on the latest authentication pipeline refer to Introducing OIDC Conformant Authentication.

Remarks

  • This endpoint only works for database connections, passwordless connections, Active Directory/LDAP, Windows Azure AD, and ADFS.
  • The profile scope requests access to the End-User’s default profile Claims, which include name, family_name, given_name, and others.
  • The email scope requests access to the email and email_verified Claims.

Learn More

Parameters

client_id
string
required
connection
string
required
grant_type
string
required
Allowed values: password
username
string
required
password
string
required
scope
string
id_token
string
device
string

Response

StatusDescription
200Successful authentication
400Bad Request
401Unauthorized
429Too Many Requests
403Forbidden
defaultUnexpected error